> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidcron.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tasks

> Returns all tasks



## OpenAPI

````yaml GET /tasks
openapi: 3.0.1
info:
  title: Rapidcron API
  description: The Rapidcron API is a RESTful API that allows you to manage your tasks
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://rapidcron.com/api/v1
security:
  - bearerAuth: []
paths:
  /tasks:
    get:
      description: Returns all tasks
      parameters:
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Task response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Task'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Task:
      required:
        - name
      type: object
      properties:
        id:
          description: The id of the task
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````